# Class CIM_FilterEntryInSystem
extends CIM_SystemComponent

All filter entries (FilterEntryBase and its subclasses) are defined in the context of a ComputerSystem/network device, where they are used to identify and act on network traffic. Note that this class is deprecated since its subclassing is not correct. It subclasses from System Component, but a FilterEntryBase is NOT a Component of a System. Instead, it is hosted/scoped by the System. In versions up to CIM 2.6, FilterEntryInSystem was a mandatory, Weak relationship. This is no longer true, beginning with CIM V2.7.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_FilterEntryInSystem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_HostedFilterEntryBase

Description

string

All filter entries (FilterEntryBase and its subclasses) are defined in the context of a ComputerSystem/network device, where they are used to identify and act on network traffic. Note that this class is deprecated since its subclassing is not correct. It subclasses from System Component, but a FilterEntryBase is NOT a Component of a System. Instead, it is hosted/scoped by the System. In versions up to CIM 2.6, FilterEntryInSystem was a mandatory, Weak relationship. This is no longer true, beginning with CIM V2.7.

UMLPackagePath | string | CIM::Network::Filtering
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_FilterEntryInSystem | CIM_ComputerSystem
PartComponent | CIM_FilterEntryInSystem | CIM_FilterEntryBase

## Class Methods